<!DOCTYPE html>
<html>
<head>
   <title>Patern 16</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var tempJmlBaris = 0;
      var frontSpace = jmlBaris;
      // var outupu;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i < jmlBaris) {
            for (let j = 0; j < frontSpace; j++) {
               output = output + '&nbsp;&nbsp;';
            }
            for (let j = 0; j <= tempJmlBaris; j++) {
               if (j == 0) {
                  output = output + '*';
               } else if (j == tempJmlBaris) {
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
               }
            }
         } else if (i == jmlBaris) {
            for (let j = 0; j < tempJmlBaris+1; j++) {
               output = output + '*';
            }
         }
         tempJmlBaris++;
         frontSpace--;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>